# $Revision: 1.21 $, $Date: 2009/07/05 19:53:30 $
#
# Conditional build:
%bcond_with	systemlibs	# use system libraries instead of modified ones
#				  (modified can give little better results)
# NOTE:
# - bundled zlib-1.2.3 differs from zlib-1.2.3 that it defines TOO_FAR
#   32767 instead of 4096
# - libpng diffs (this is bad?):
#diff -ur ../libpng-1.2.8/pngrutil.c ./pngrutil.c
#--- ../libpng-1.2.8/pngrutil.c    2006-03-21 16:12:37.000000000 +0200
#+++ ./pngrutil.c    2005-02-28 15:55:20.000000000 +0200
#@@ -1056,12 +1056,6 @@
#    prefix_length = profile - chunkdata;
#    chunkdata = png_decompress_chunk(png_ptr, compression_type, chunkdata,
#                                     slength, prefix_length, &data_length);
#-   if(chunkdata)
#-       png_set_iCCP(png_ptr, info_ptr, chunkdata, compression_type,
#-               chunkdata + prefix_length, data_length);
#-   else
#-       png_set_iCCP(png_ptr, info_ptr, chunkdata, compression_type,
#-               0x00, prefix_length);
#
#    profile_length = data_length - prefix_length;
Summary:	Optimizer for png files
Summary(pl.UTF-8):	Optymalizator plików png
Summary(pt_BR.UTF-8):	Utilitário para compressão de pngs
Name:		pngcrush
Version:	1.6.19
Release:	1
License:	BSD-like (see LICENSE)
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/pmt/%{name}-%{version}.tar.bz2
# Source0-md5:	2cfe54e660e586a0302a6def1aa8b08e
URL:		http://pmt.sf.net/pngcrush/
%if %{with systemlibs}
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program reads in a PNG image, and writes it out again, with the
optimum filter_method and zlib_level. It uses brute force (trying
filter_method none, and libpng adaptive filtering, with compression
levels 3 and 9). It does the most time-consuming method last in case
it turns out to be the best.

%description -l pl.UTF-8
Ten program wczytuje obrazek PNG i zapisuje go ponownie z optymalnymi
parametrami filter_method i zlib_level. Używa metody brute force
(próbuje filter_method none oraz adaptacyjnego filtrowania libpng ze
stopniami kompresji 3 i 9).

%description -l pt_BR.UTF-8
O pngcrush é um otimizador para arquivos PNG (Portable Network
Graphics). Ele pode comprimir os arquivos em até 40%, sem perdas.

%prep
%setup -q

# create some real documentation
# NOTE: remember to check these on upgrade!
sed -ne '1,/*\//p' pngcrush.c | cut -b 4- > README
sed -ne '/\/\* To do/,/*\/$/p;/PNG_INTERNAL/q' pngcrush.c | cut -b 4- > TODO
sed -ne '/* COPYRIGHT/,/*\/$/p;' pngcrush.c | cut -b 4- > LICENSE

%if %{with systemlibs}
# workaround for Makefile and #include "png.h"
echo '#include <png.h>' > png.h
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
	LD="%{__cc} %{rpmldflags}" \
%if %{with systemlibs}
	OBJS="pngcrush.o" \
	LDFLAGS="%{rpmldflags} -lpng -lz"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install pngcrush $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README TODO ChangeLog.html
%attr(755,root,root) %{_bindir}/pngcrush

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pngcrush.spec,v $
Revision 1.21  2009/07/05 19:53:30  wiget
- updated to 1.6.19

Revision 1.20  2008/05/12 22:21:57  draenog
- 1.6.5 (CVE-2008-1382)
- fix of TODO
- generation of LICENSE
- use correct linker

Revision 1.19  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.17  2006/03/21 14:25:53  glen
- up to 1.6.2, fixes CVE-2005-1849
- rel 2 (1 reserved for Ra)
- STBR to Ac?

Revision 1.16  2004/04/27 19:55:07  qboosh
- release 3

Revision 1.15  2004/04/27 19:54:45  qboosh
- License is BSD-like not GPL

Revision 1.14  2004/04/26 17:54:15  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.13  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:25:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/14 08:38:39  qboosh
- fixed bcond, added note about line numbers

Revision 1.10  2003/03/13 22:32:24  wolf
- updating is not just bumping %%version, kloczek

Revision 1.9  2003/03/13 19:50:46  kloczek
- updated to 1.5.10: bug fixes,
- added system-libs patch for linking pngcrush with system avalaible libpng an libz
  (based on patch from Conectiva).

Revision 1.8  2003/03/13 17:44:34  qboosh
- use system libs only on bcond (by default modified ones)

Revision 1.7  2003/03/12 16:37:23  wolf
- modified zlib isn't there for decoration (qboosh, didn't you get my mail?)

Revision 1.6  2003/03/10 20:17:41  qboosh
- up to 1.5.9, use system libpng+zlib

Revision 1.5  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.4  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.3  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/12 01:53:38  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.1  2002/02/10 15:31:12  wolf
- initial release
